Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 387369 - Stabilize games-fps/quake3-cpma-1.48
Summary: Stabilize games-fps/quake3-cpma-1.48
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2011-10-17 06:52 UTC by Mr. Bones. (RETIRED)
Modified: 2012-02-01 16:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mr. Bones. (RETIRED) gentoo-dev 2011-10-17 06:52:30 UTC
Please mark quake3-cpma-1.48.ebuild stable.
Comment 1 Elijah "Armageddon" El Lazkani (amd64 AT) 2011-10-17 21:19:41 UTC
('Filesize does not match recorded size', 36911, 122543145)
!!! Fetched file: cpma-mappack-full.zip VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got:      36911
!!! Expected: 122543145

amd64: no pass
Comment 2 Ian Delaney (RETIRED) gentoo-dev 2011-10-18 04:58:59 UTC
I wonder if that's a html file, seen this recently.

do # file $DISTDIR/cpma-mappack-full.zip
Comment 3 Ian Delaney (RETIRED) gentoo-dev 2011-10-20 07:42:53 UTC
after deciding to run the gauntlet of this, I confirm the findings

archtester latex-beamer # ls -ld  /mnt/gentoo/distfiles/cpma-mappack-full.zip._che*
-rw-rw-r-- 1 portage portage 35833 Oct 20 15:34 /mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.Avl_g3
-rw-rw-r-- 1 portage portage 35833 Oct 20 15:32 /mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.E2h348
-rw-rw-r-- 1 portage portage 35833 Oct 20 15:32 /mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.TtacPA
archtester latex-beamer # file /mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.Avl_g3
/mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.Avl_g3: HTML document, UTF-8 Unicode text, with very long lines, with CRLF, LF line terminators
archtester latex-beamer # file /mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.E2h348
/mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.E2h348: HTML document, UTF-8 Unicode text, with very long lines, with CRLF, LF line terminators
archtester latex-beamer # file /mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.TtacPA
/mnt/gentoo/distfiles/cpma-mappack-full.zip._checksum_failure_.TtacPA: HTML document, UTF-8 Unicode text, with very long lines, with CRLF, LF line terminators

Have had similar oddities with other packages.  There is something awry with mirrors and portage.  If warrants filing, under what field or category?
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-10-25 12:12:07 UTC
Same here. For me portage was downloading directly from promode.org, and the downloaded HTML page says <title>www.promode.org coming soon!</title> . I don't think it's ready.
Comment 5 Mr. Bones. (RETIRED) gentoo-dev 2011-10-25 16:03:33 UTC
it's on the mirrors.  That's what they're there for.
Comment 6 Tony Vroon gentoo-dev 2011-11-10 10:07:22 UTC
AMD64 will not stable packages subject to fetch failure. Please address the issue in the ebuild and re-add us to CC. To confirm, no 30-day limits apply here.
Comment 7 Mr. Bones. (RETIRED) gentoo-dev 2011-11-10 16:06:43 UTC
dropped amd64 support
Comment 8 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-12-11 09:44:02 UTC
(In reply to comment #6)
> AMD64 will not stable packages subject to fetch failure. Please address the
> issue in the ebuild and re-add us to CC. To confirm, no 30-day limits apply
> here.

Same here for x86. Even if the files are on the mirrors, the ebuild downloads them from the main site. Several people independently confirm it's broken.
Comment 9 Mr. Bones. (RETIRED) gentoo-dev 2012-02-01 16:29:12 UTC
close enough.